Package org.eclipse.microprofile.metrics

## Class Snapshot

- java.lang.Object
- - org.eclipse.microprofile.metrics.Snapshot

    public abstract class Snapshot
    extends Object

A statistical snapshot of a `Snapshot`.

### Nested Class Summary

Nested Classes
`static class` `Snapshot.PercentileValue` Represents a percentile and its value at the moment it was sampled from the Snapshot.

### Constructor Summary

Constructors
`Snapshot()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `dump​(OutputStream output)` Writes the values of the snapshot to the given stream.
`abstract double` `getMax()` Returns the highest value in the snapshot.
`abstract double` `getMean()` Returns the arithmetic mean of the values in the snapshot.
`abstract Snapshot.PercentileValue[]` `percentileValues()` Returns an array of `Snapshot.PercentileValue` containing the percentiles and associated values of this `Snapshot` at the moment invocation.
`abstract long` `size()` Returns the number of values in the snapshot.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Snapshot

    public Snapshot()

### Method Detail

#### size

    public abstract long size()

Returns the number of values in the snapshot.

Returns:
  the number of values

#### getMax

    public abstract double getMax()

Returns the highest value in the snapshot.

Returns:
  the highest value

#### getMean

    public abstract double getMean()

Returns the arithmetic mean of the values in the snapshot.

Returns:
  the arithmetic mean

#### percentileValues

    public abstract Snapshot.PercentileValue[] percentileValues()

Returns an array of `Snapshot.PercentileValue` containing the percentiles and associated values of this `Snapshot` at the moment invocation.

Returns:
  an array of `Snapshot.PercentileValue`

#### dump

    public abstract void dump​(OutputStream output)

Writes the values of the snapshot to the given stream.

Parameters:
  `output` - an output stream